SUSE SLED15 / SLES15 Security Update : salt (SUSE-SU-2018:3815-1)

High Nessus Plugin ID 120165

Synopsis

The remote SUSE host is missing one or more security updates.

Description

This update for salt fixes the following issues :

Security issues fixed :

CVE-2018-15750: Fixed directory traversal vulnerability in salt-api (bsc#1113698).

CVE-2018-15751: Fixed remote authentication bypass in salt-api(netapi) that allows to execute arbitrary commands (bsc#1113699).

Non-security issues fixed: Improved handling of LDAP group id. gid is no longer treated as a string, which could have lead to faulty group creations (bsc#1113784).

Fixed async call to process manager (bsc#1110938).

Fixed OS arch detection when RPM is not installed (bsc#1114197).

Note that Tenable Network Security has extracted the preceding description block directly from the SUSE security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or 'zypper patch'.

Alternatively you can run the command listed for your product :

SUSE Linux Enterprise Module for Server Applications 15:zypper in -t patch SUSE-SLE-Module-Server-Applications-15-2018-2713=1

SUSE Linux Enterprise Module for Basesystem 15:zypper in -t patch SUSE-SLE-Module-Basesystem-15-2018-2713=1

See Also

https://bugzilla.suse.com/show_bug.cgi?id=1110938

https://bugzilla.suse.com/show_bug.cgi?id=1113698

https://bugzilla.suse.com/show_bug.cgi?id=1113699

https://bugzilla.suse.com/show_bug.cgi?id=1113784

https://bugzilla.suse.com/show_bug.cgi?id=1114197

https://www.suse.com/security/cve/CVE-2018-15750/

https://www.suse.com/security/cve/CVE-2018-15751/

http://www.nessus.org/u?607105e3

Plugin Details

Severity: High

ID: 120165

File Name: suse_SU-2018-3815-1.nasl

Version: 1.3

Type: local

Agent: unix

Published: 2019/01/02

Updated: 2019/09/10

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3.0

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:python2-salt, p-cpe:/a:novell:suse_linux:python3-salt, p-cpe:/a:novell:suse_linux:salt, p-cpe:/a:novell:suse_linux:salt-api, p-cpe:/a:novell:suse_linux:salt-cloud, p-cpe:/a:novell:suse_linux:salt-doc, p-cpe:/a:novell:suse_linux:salt-master, p-cpe:/a:novell:suse_linux:salt-minion, p-cpe:/a:novell:suse_linux:salt-proxy, p-cpe:/a:novell:suse_linux:salt-ssh, p-cpe:/a:novell:suse_linux:salt-syndic, cpe:/o:novell:suse_linux:15

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2018/11/20

Vulnerability Publication Date: 2018/10/24

Reference Information

CVE: CVE-2018-15750, CVE-2018-15751